VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "KidIterator"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa KidIterator
Implements Iterator
Private index As Integer
Private kidList As Collection
'-----
Public Sub init(col As Collection)
  index = 1
  Set kidList = col
End Sub
Private Function Iterator_hasMoreElements() As Boolean
  Iterator_hasMoreElements = index < kidList.Count
End Function
'-----
Private Sub Iterator_moveFirst()
  index = 1
End Sub
'-----
Private Function Iterator_nextElement() As Object
  Set Iterator_nextElement = kidList(index)
  index = index + 1
End Function

